#include "MainWindow.h"
#include "ui_MainWindow.h"
#include <QLayout>
#include <QLabel>
#include <QAbstractButton>
#include <QMenu>
#include <QMouseEvent>
#include <QWindow>
#include <QDebug>

MainWindow::MainWindow(int screenId, QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow),
    m_screenId(screenId)
{
    ui->setupUi(this);
    ui->label->setText("Screen ID:" + QString::number(screenId));

    auto menu = new QMenu("Menu", this);
    menu->addAction(new QAction("Action1"));
    this->menuBar()->addMenu(menu);

    contextMenu = new QMenu(parent);
    contextMenu->addAction("Action2");
    contextMenu->addAction("Action3");
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::mousePressEvent(QMouseEvent *event)
{
//    contextMenu->popup(QCursor::pos());
    qDebug() << m_screenId << windowHandle()->frameMargins() << windowHandle()->frameGeometry() << windowHandle()->geometry();
    qDebug() << event->pos() << "global" << mapToGlobal(event->pos()) << event->globalPos() << "menu" << contextMenu
             << "belongs to" << contextMenu->parent(); //->windowHandle();
    contextMenu->popup(event->globalPos());
    qDebug() << "after popup" << contextMenu->windowHandle();
    contextMenu->windowHandle()->setScreen(this->windowHandle()->screen());
}
